import org.eclipse.birt.report.engine.api.EngineConfig;
import org.eclipse.birt.report.engine.api.IReportRunnable;
import org.eclipse.birt.report.engine.api.IRunTask;
import org.eclipse.birt.report.engine.api.ReportEngine;

public class RunReport
{

	public static void main(String[] args) {
		String designName = ExampleConstants.RUN_EXAMPLE + ".rptdesign";
		System.out.println("===========>>> Run <<<<=== " + designName);
		//Create the Engine Config
		EngineConfig config = new EngineConfig();
		config.setEngineHome(ExampleConstants.BIRT_HOME);

		// Create the Report Engine
		ReportEngine engine = new ReportEngine(config);
		IReportRunnable design;
		try { // open the design
			design = engine.openReportDesign(designName);

			// create a run task
			IRunTask task = engine.createRunTask(design);
			System.out.println("===========>>> Doc <<<<=== " + ExampleConstants.RUN_EXAMPLE + ".rptdocument");
			task.run(ExampleConstants.RUN_EXAMPLE + ".rptdocument");
		} catch (Exception e) {
			return;
		} finally {
			engine.destroy();
		}
	}
}
